<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class pro_access_SINGLE_Controller extends Controller
{
    public $selfName = 'pro_access_SINGLE_Controller';
    public $dashboardName = 'dashboard';

	// GET /pro_access/view/{uid}/ACTION_updateReason
	public function ACTION_updateReason(Request $request, $uid) {
		$record = DB::table('client_pro_access')->where('uid', $uid)->first();
		return response()->view('pro/pro_access_SINGLE/ACTION_updateReason', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_access/view/{uid}/ACTION_deactivate
	public function ACTION_deactivate(Request $request, $uid) {
		$record = DB::table('client_pro_access')->where('uid', $uid)->first();
		return response()->view('pro/pro_access_SINGLE/ACTION_deactivate', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_access/view/{uid}/ACTION_updateDeactivationMemo
	public function ACTION_updateDeactivationMemo(Request $request, $uid) {
		$record = DB::table('client_pro_access')->where('uid', $uid)->first();
		return response()->view('pro/pro_access_SINGLE/ACTION_updateDeactivationMemo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_access/view/{uid}/ACTION_reactivate
	public function ACTION_reactivate(Request $request, $uid) {
		$record = DB::table('client_pro_access')->where('uid', $uid)->first();
		return response()->view('pro/pro_access_SINGLE/ACTION_reactivate', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_access/view/{uid}/ACTION_updateReactivationMemo
	public function ACTION_updateReactivationMemo(Request $request, $uid) {
		$record = DB::table('client_pro_access')->where('uid', $uid)->first();
		return response()->view('pro/pro_access_SINGLE/ACTION_updateReactivationMemo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pro_access/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('client_pro_access')->where('uid', $uid)->first();
		return response()->view('pro/pro_access_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
